# -*- rpm-spec -*-
# $Id: tcl-xml,v 1.5 2004/11/03 10:54:53 me Exp $

%define teaname Tclxml
%define uver %nil

Name: tcl-xml
Version: 3.0
Release: alt2

Summary: XML parsers for Tcl
License: BSD
Group: Development/Tcl
URL: http://tclxml.sourceforge.net/

%ifdef snapshot
Source: %name-%snapshot.tar.bz2
%else
Source: tclxml-%version%uver.tar.bz2
%endif

Patch0: tclxml-3.0-tea3.patch
Patch1: tclxml-3.0-pkgindex.patch

BuildRequires: libxml2-devel rpm-build >= 4.0.4-alt41 tcl-devel >= 8.4.0-alt1

%package core
Summary: A front-end interface and generic XML parser for Tcl
Group: Development/Tcl

%package libxml2
Summary: A libxml2-based XML parser for Tcl
Group: Development/Tcl
Requires: %name-core = %version-%release

%package devel
Summary: Header files for %name
Group: Development/Tcl
Requires: %name-core = %version-%release

%description
This package provides XML parsers for Tcl scripts.  There is a generic
front-end interface with plugin parser implementations.  A number of parser
implementations or wrappers are provided:
* James Clark's expat library.  This package is known as TclXML/expat.
* Gnome libxml2 library.  This package is known as TclXML/libxml2.
* A generic Tcl implementation, known as TclXML/tcl.

%description core
This package provides a generic front-end interface with plugin parser
implementations and generic Tcl implementation, known as TclXML/tcl.

%description libxml2
This package provides a libxml2-based XML parser, also known as TclXML/libxml2.

%description devel
This package includes header files for %name

%prep
%setup -q %{?snapshot:-c}%{!?snapshot:-n tclxml-%version%uver}
%patch0 -p1
%patch1 -p1

%build 
%configure
%make_build
cd libxml2
%configure --with-Tclxml=../
%make_build

%install 
%makeinstall
%makeinstall -C libxml2
%__rm -f %buildroot%_tcldatadir/Tclxml3.0/*-8.0.tcl

%files core
%doc ChangeLog README RELNOTES LICENSE doc/tclxml.html
%_tcllibdir/lib%teaname%version.so
%_tcldatadir/%teaname%version

%files libxml2
%_tcllibdir/libTclXML_libxml2%version.so
%_tcldatadir/TclXML_libxml2%version

%files devel
%_libdir/%{teaname}Config.sh
%_tcllibdir/lib%{teaname}stub%version.a
%_includedir/*

%changelog
* Wed Nov  3 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 3.0-alt2
- rebuilt against new shiny tcl reqprov finder

* Tue Sep 21 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 3.0-alt1
- 3.0 released

* Thu May 13 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 3.0-alt0.2
- devel subpackage added

* Wed May 12 2004 Sergey Bolshakov <sbolshakov@altlinux.ru>  3.0-alt0.1
- Initial build for %distribution

